Bug Hunting Session
Bug 47595 - UI: Window split interferes with input help
Summary: UI: Window split interferes with input help
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: All All
: medium normal
Assignee: Noel Power
URL:
Whiteboard: target:3.7.0
Keywords: regression
Depends on:
Blocks:
 
Reported: 2012-03-20 09:12 UTC by Patrick Oltmann
Modified: 2012-08-30 11:37 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Spreadsheet to reproduce the bug (8.04 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-03-20 09:12 UTC, Patrick Oltmann
Details
A screenshot showing the input help being covered and left-shifted (43.25 KB, image/png)
2012-03-20 09:15 UTC, Patrick Oltmann
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Oltmann 2012-03-20 09:12:01 UTC
Created attachment 58768 [details]
Spreadsheet to reproduce the bug

Observed behaviour:
When an "Input Help" (Validity->Input Help) Window touches a horizontal window split divider, it
a) shifts to the left, overlapping with the active cell
b) is covered by the divider.

Expected behaviour:
While b) might be an expected behaviour for a normal screen split, this should not happen the case for a "frozen" split (Window->Split, Window->Freeze). The shift to the left a) should not happen at all (at least for a horizontal divider)

How to reproduce:
1) Open the attached sample spreadsheet
2) Click on cell A1
3) Deactivate frozen window split (Window->Freeze)

Reproduciblity: 100%

Affected platforms: Win7-32, Linux
Comment 1 Patrick Oltmann 2012-03-20 09:15:28 UTC
Created attachment 58769 [details]
A screenshot showing the input help being covered and left-shifted

Here is an additional screenshot to describe the issue.
Comment 2 sasha.libreoffice 2012-06-14 01:14:52 UTC
Thanks for bugreport
reproduced on 3.5.4 on Fedora 64 bit, reproducible for Freeze and for Split
but not reproduced in 3.3.4. Therefore regression
Comment 3 Patrick Oltmann 2012-07-22 23:11:27 UTC
The issue persists in LibO 3.6.0 rc2, both on Linux (64-bit) and Win7 (64-bit).
Comment 4 sasha.libreoffice 2012-07-27 13:59:50 UTC
Thanks for additional testing.
"Version" is most old version where bug reproducible. Not current version. It needed for determine when (in which version) bug appears.
Changing again to 3.5.1
Comment 5 Patrick Oltmann 2012-08-26 16:33:30 UTC
I could reproduce this bug in the 3.5.0 release version (rc3), but not in 3.4.6. Changed "version" field accordingly. Furthermore, the issue persists in 3.6.1.2.
Comment 6 Noel Power 2012-08-28 16:44:33 UTC
I'll try this
Comment 7 Not Assigned 2012-08-29 13:43:55 UTC
Noel Power committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9e6d1f061c4c61bde3035270ddc76dace0fbdf96

don't cover cell with hint window fix for fdo#47595
Comment 8 Noel Power 2012-08-29 13:59:13 UTC
fixed the position part, I am not sure about the fact the window is hidden by the split is a bug or not. This I can see in the code was done intentionally, so.. perhaps this was done to fix an existing bug or maybe it is an enhancement in it's own right.
Comment 9 Patrick Oltmann 2012-08-30 11:14:00 UTC
Thanks for fixing this. I checked again with the documentation on the split/freeze function and found that both are considered to be complete splits (just that the upper/left quadrants are not scrollable for freeze). Thus I agree that hiding the window is formally the correct behavior.
However, judging from the small number of ~10 users for whom I provide first-level support, most expect the freeze option to "just keep the column headers up there" and do not expect any further separations of the 4 quadrants.
Given that the split was already introduced deliberately, is there a realistic chance to have this changed as in the context of an enhancement request (or even have an config option concerning the divider behavior)?
Comment 10 Noel Power 2012-08-30 11:37:30 UTC
(In reply to comment #9)
> Thanks for fixing this. I checked again with the documentation on the
> split/freeze function and found that both are considered to be complete splits
> (just that the upper/left quadrants are not scrollable for freeze). Thus I
> agree that hiding the window is formally the correct behavior.
> However, judging from the small number of ~10 users for whom I provide
> first-level support, most expect the freeze option to "just keep the column
> headers up there" and do not expect any further separations of the 4 quadrants.
> Given that the split was already introduced deliberately, is there a realistic
> chance to have this changed as in the context of an enhancement request (or
> even have an config option concerning the divider behavior)?

lets close this one, I'm not sure I get what you mean regarding "just keep the column headers up there"
But please if you wish open an enhancement with clear description of what you expect.